%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
% A template for Wiley article submissions.
% Developed by Overleaf. 
%
% Please note that whilst this template provides a 
% preview of the typeset manuscript for submission, it 
% will not necessarily be the final publication layout.
%
% Usage notes:
% The "blind" option will make anonymous all author, affiliation, correspondence and funding information.
% Use "num-refs" option for numerical citation and references style.
% Use "alpha-refs" option for author-year citation and references style.

\documentclass[num-refs]{wiley-article}
%\documentclass[alpha-refs]{wiley-article}
\newcommand{\PFD}{$\mu$mol m$^{-2} $s$^{-1}$}

% Add additional packages here if required
\usepackage{siunitx}
\usepackage{float}
\usepackage{filecontents}
\usepackage{graphicx}
\usepackage{subcaption}
\usepackage{mwe}
\usepackage{mathtools}
\usepackage[labelfont=bf,labelsep=quad,justification=justified]{caption}
\usepackage{amsmath}
\usepackage{empheq}  % for the big brace
\usepackage{longtable}  % to span the table between multiple pages

\setlength\parindent{0pt} % global no indent

% Update article type if known
\papertype{Original Article}
% Include section in journal if known, otherwise delete
\paperfield{Journal Section}

\title{Balancing energy STUPID CHANGE FOR TEST during photosynthesis - a~theoretical perspective}

% List abbreviations here, if any. Please note that it is preferred that abbreviations be defined at the first instance they appear in the text, rather than creating an abbreviations list.
\abbrevs{CBB, Calvin-Benson-Bassham; Fd, ferrodoxin;
%DHAP, dihydroxy- acetone phosphate; E4P, erythrose 4-phosphate; FBP, fructose 1,6-bisphosphate; F2,6BP, fructose 2,6-bisphosphate; Fd, ferredoxin; F6P, fructose 6-phosphate; GAP, glyceraldehyde phosphate; G6P, glucose 6-phosphate; G1P, glucose 1-phosphate; 
MCA, Metabolic Control Analysis; NPQ, non-photochemical quenching; ODE, ordinary differential equations; PC, plastocyanin; PETC, photosynthetic electron transport chain; PFD, photon flux density; PPP, Pentose phosphate pathway; PQ, plastoquinone; PS, photosystem; RuBP, Ribulose 1,5-bisphosphate; Ru5P, Ribose-5-phosphate; TPT, triose phosphate transporters}

% Include full author names and degrees, when required by the journal.
% Use the \authfn to add symbols for additional footnotes and present addresses, if any. Usually start with 1 for notes about author contributions; then continuing with 2 etc if any author has a different present address.
\author[1,2\authfn{1}]{Anna~Matuszy\'nska}
\author[1\authfn{1}]{Nima~P.~Saadat}
\author[1,2]{Oliver~Ebenh\"oh}

\contrib[\authfn{1}]{Equally contributing authors. AM merged the models and provided all mathematical descriptions. NPS performed the computational analyses and prepared the first draft of the Results. All authors were involved in the interpretation of the results and preparation of the manuscript.}

% Include full affiliation details for all authors
\affil[1]{Institute for Quantitative and Theoretical Biology, Heinrich-Heine-Universität Düsseldorf, Universitätsstr. 1, 40225 Düsseldorf, Germany}
\affil[2]{CEPLAS Cluster of Excellence on Plant Sciences, Heinrich-Heine-Universität Düsseldorf, Universitätsstr 1, 40225 Düsseldorf, Germany}

\corraddress{Dr. Anna Matuszy\'nska}
\corremail{anna.matuszynska@hhu.de}

\fundinginfo{This work was financially supported by the Deutsche Forschungsgemeinschaft “Cluster of Excellence on Plant Sciences” CEPLAS (EXC 1028).}

% Include the name of the author that should appear in the running header
\runningauthor{Matuszy\'nska \textit{et al.}}

\input{commands}

\begin{document}

\maketitle

\begin{abstract}
%Photosynthesis is a complex process in which various, often competing, mechanisms do not operate in isolation, but rather form an interdependent and complex regulatory network. 
The photosynthetic electron transport chain (PETC) provides energy and redox equivalents for carbon fixation by the Calvin-Benson-Bassham (CBB) cycle. 
Both of these processes have been thoroughly investigated and the underlying molecular mechanisms are well known. 
However, it is far from understood by which mechanisms it is ensured that energy and redox supply by photosynthesis matches the demand of the downstream processes.
Here, we deliver a theoretical analysis to quantitatively study the supply-demand regulation in photosynthesis.
For this, we connect two previously developed models, one describing the PETC, originally developed to study non-photochemical quenching, and one providing a dynamic description of the photosynthetic carbon fixation in C3 plants, the CBB Cycle. 
The merged model explains how a tight regulation of supply and demand reactions leads to efficient carbon fixation.
The model further illustrates that a \textit{stand-by} mode is necessary in the dark to ensure that the carbon fixation cycle can be restarted after dark-light transitions, and it supports hypotheses, which reactions are responsible to generate such mode \textit{in vivo}.
%A precise understanding of the function of the photosynthetic apparatus and metabolism is required to identify intrinsic mechanisms limiting photosynthetic productivity, paving way to establish new strategies counteracting these limitations. With this work, we deliver a theoretical tool to quantitatively study the self-regulation of higher plants to changes in light intensities. We connect the previously developed models of the photosynthetic electron transport chain, developed in particular to study non-photochemical quenching, with the dynamic description of the photosynthetic carbon fixation in C3 plants, the Calvin-Benson-Bassham (CBB) Cycle. The model gives valuable insight into the tight regulation between the energy supplied by the photosynthetic electron transport chain and the CBB cycle demand and sheds light on the role of various mechanisms involved in maintaining the "vital" ATP to NADPH ratio.

% Please include a maximum of seven keywords
\keywords{carbon assimilation, electron transport, mathematical model}

\end{abstract}

\section{Introduction}
\input{introduction.tex}

\section{The model}
\input{model_description.tex}

\section{Results and Discussion}
\input{results.tex}

\section{Conclusions}
Merging mathematical models is a highly non-trivial task. Even if two individual models yield plausible results, there is no guarantee that this is also true after mathematically combining these models. 
Besides pure technicalities, such as converting concentrations to appropriate units, there are a number of issues that make merging models challenging. 
Commonly, individual models have been developed with quite different scientific questions in mind, and may therefore display drastically different degrees of details of the involved processes. 
Moreover, parametrisation is often performed for different organisms, tissues or conditions. 
Most importantly, increasing the system size by integrating two or more models may lead to novel emergent properties that were not observable in the individual models.

In this work, we have successfully merged a model of the PETC, supplying ATP and NADPH, to a model of the CBB cycle, consuming ATP and NADPH. 
The successful merge was largely facilitated by ensuring a comparable level of simplification of the two individual models (PETC described by 9 ODEs and CBB cycle by 15 ODEs).
Our merged model represents a supply-demand system and as such exhibits systemic properties that did not exist in each of the individual models.
Linking supply and demand processes into one functional model allowed us to employ metabolic control analysis for a systematic investigation of the regulatory dependence between the PETC and CBB cycle.
By simulating the light-dark-light transitions we could rationalise the importance of the oxidative PPP in providing substrates as a mechanism to operate the CBB cycle in a stand-by mode. 
Simultaneously, we illustrate that regulating the activity of the CBB cycle in very low light is critical to avoid excessive investment into the stand-by mode. 
Moreover, the model demonstrates that regulation adapting to different light intensities is important to balance the supply by the PETC to the downstream demand.
Using MCA, we quantified the control distribution of supply and demand in the system for different light conditions and for varying CBB cycle activities.
By introducing a regulation factor, corresponding to the CBB cycle enzyme activities, we demonstrate that the system requires higher input of light to  obtain saturation for faster carbon fixation. 
Our MCA analysis showed that supply reactions exhibit high overall flux control when the light is limited. 
Conversely, the demand reactions control the flux in light-saturating conditions.
Among the supply reactions, the activity of PSII and PSI exhibit the highest overall flux control, while among the demand reactions, the SBPase maintains the highest overall flux control (see Figure~\ref{fig:si:fcc50} and Figure~\ref{fig:si:fcc300}). 
Interestingly, the often considered bottleneck enzyme RuBisCO exhibits only little overall flux control.
This observation can be explained by the fact that the model assumes saturated CO$_2$ conditions.

% Our successfully merged model maintains simplicity and is freely provided as open source software. 
% It therefore provides a basis for further developments and constitutes a platform, with which a broad range of other photosynthesis related questions can be addressed.
% In contrast to other available mathematical models of photosynthesis, it provides a balanced description of its intermediate steps (PETC activity described in 9 ODEs and CBB cycle in 15 ODEs).

Our model is freely available as open source software, and we ensure that the results presented here can easily be reproduced.
Because of its balanced simplicity and clear modular structure, we envisage that it serves as a platform for future development. Only relatively minor modifications will be necessary to employ it for further analyses of the relationship between the PETC and other subprocesses.
For instance, 
%In this work, we aimed at answering the questions related to the regulation of the supply-demand dynamics of photosynthesis, while the carbon fixation reactions still depend on the concentration of external orthophosphate, which was the central research question of its original publication \cite{Pettersson1988}. 
%Investigations of the interdependency of the PETC and the external orthophosphate abundance could be done with the presented model.
%Furthermore, our investigations on the necessity of an active oxidative pentose phosphate pathway in insufficient light can be further researched. 
%Small model modifications of e.g. 
by describing starch as a dynamic variable and by providing a simplified representation of the oxidative PPP, one could improve our understanding of the light dependent turnover of starch \cite{stitt2012starch} and rationalise the resupply of pentoses from hexoses in the chloroplast by the oxidative PPP \cite{kruger2003oxidative,neuhaus2000nonphotosynthetic} and investigate the role of alternative shunts \cite{preiser2018supply}.
%Another potential modification could be 
Moreover, by including a simplified representation of the photorespiratory pathway one could further investigate the energy balance \cite{igamberdiev2001role} and the distribution of flux control between the PETC, the CBB cycle and the photorespiration reactions.

The process of integrating two models described here illustrates the strength of theoretical approaches. Linking two processes leads to novel properties (here supply-demand balancing), which can be investigated to provide new fundamental insight. 
The merged model can rationalise the importance of systemic properties, and thus explain \textit{why} certain mechanisms exist. 
In particular, none of the individual models could have explained the relevance of the stand-by mode or the role of adaptive regulation in maximising efficiency, and thus explain the functional importance of the oxidative PPP or the redox and pH sensitivity of key CBB enzymes in a dynamic environment.


%\section*{Acknowledgements}
\section*{Conflict of interest}
Authors report no conflict of interest.

%\printendnotes

\section{References}
\renewcommand{\bibsection}{} % remove the title reference from bibliography 
\bibliographystyle{plain}
\bibliography{literature}

%Supplement
\newpage
\appendix
%%% here change how to refer to SI eq and figures
\renewcommand\thefigure{S\arabic{figure}}    
\renewcommand{\theequation}{S\arabic{equation}}
\renewcommand{\thetable}{S\arabic{table}}
\section{Supplement}
\setcounter{figure}{0}    
\setcounter{equation}{0}   
\input{supplement.tex}

\end{document}
